%global fontname        nafees-tehreer-naskh
%global fontconf        67-%{fontname}.conf
%global archivename     Nafees_Tahreer_Naskh_v1.0

Name:           %{fontname}-fonts
Version:        1.0
Release:        3%{?dist}
Summary:        Nafees tehreer naskh font for writing Urdu in the Naskh script

Group:          User Interface/X
License:        Bitstream Vera
URL:            http://www.crulp.org/index.htm

Source0:        http://www.crulp.org/Downloads/localization/fonts/NafeesTahreerNaskh/%{archivename}.zip

Source1:        %{fontname}-update-preferred-family.pe
Source2:        %{fontconf}

BuildArch:      noarch
Requires:       fontpackages-filesystem
BuildRequires:  fontpackages-devel
BuildRequires:  fontforge

%description

Nafees tehreer naskh Open Type Font for writing Urdu in Naskh\
script. This font is a text font and specially designed for better\
on screen readability at small point sizes.   


%prep
%setup -q -c

%build
# Fix RHBZ#490830 while not fixed upstream
%{_bindir}/fontforge %{SOURCE1} Nafees\ Tahreer\ Naskh\ v1.01.ttf
rm  Nafees\ Tahreer\ Naskh\ v1.01.ttf

%install

#fonts
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
                %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf

%doc  Nafees_Tahree_Naskh_v1.0.pdf


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 24 2011 Pravin Satpute <psatpute@redhat.com> 1.0-2
- Updated as per Review comments

* Wed Aug 10 2011 Pravin Satpute <psatpute@redhat.com> 1.0-1
- Initial packaging
